package cn.iocoder.yudao.module.dms.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 设备分类管理 ==========
    ErrorCode DEVICE_CLASSIFY_NOT_EXISTS = new ErrorCode(1_003_001_000, "设备分类不存在");
    ErrorCode DEVICE_CLASSIFY_EXITS_CHILDREN = new ErrorCode(1_003_001_001, "存在子设备分类，无法删除");
    ErrorCode DEVICE_CLASSIFY_PARENT_NOT_EXITS = new ErrorCode(1_003_001_002, "父级设备分类不存在");
    ErrorCode DEVICE_CLASSIFY_PARENT_ERROR = new ErrorCode(1_003_001_003, "不能设置自己为父设备分类");
    ErrorCode DEVICE_CLASSIFY_NAME_DUPLICATE = new ErrorCode(1_003_001_004, "分类名称不能重复");
    ErrorCode DEVICE_CLASSIFY_PARENT_IS_CHILD = new ErrorCode(1_003_001_005, "不能将子分类设置为为父分类");

    // ========== 设备台账 ==========
    ErrorCode DEVICE_NOT_EXISTS = new ErrorCode(1_003_002_001, "设备台账不存在");

    // ========== 设备报修 ==========
    ErrorCode DEVICE_REPAIR_NOT_EXISTS = new ErrorCode(1_003_003_001, "设备报修不存在");

    // ========== 设备属性 ==========
    ErrorCode DEVICE_ATTRIBUTE_NOT_EXISTS = new ErrorCode(1_003_004_001, "设备属性不存在");

    // ========== 点巡检计划  ==========
    ErrorCode CHECK_PLAN_NOT_EXISTS = new ErrorCode(1_003_005_001, "点巡检计划不存在");

    // ========== 点巡检任务  ==========
    ErrorCode CHECK_TASK_NOT_EXISTS = new ErrorCode(1_003_006_001, "点巡检任务不存在");

    // ========== 点巡检任务检查项  ==========
    ErrorCode CHECK_TASK_ITEM_NOT_EXISTS = new ErrorCode(1_003_007_001, "点巡检任务检查项不存在");

    // ========== 点巡检模板  ==========
    ErrorCode CHECK_TEMPLATE_NOT_EXISTS = new ErrorCode(1_003_008_001, "点巡检模板不存在");

    // ========== 点巡检模板分类 ==========
    ErrorCode CHECK_TEMPLATE_CLASSIFY_NOT_EXISTS = new ErrorCode(1_003_009_001, "点巡检模板分类不存在");
    ErrorCode CHECK_TEMPLATE_CLASSIFY_EXITS_CHILDREN = new ErrorCode(1_003_009_002, "存在存在子点巡检模板分类，无法删除");
    ErrorCode CHECK_TEMPLATE_CLASSIFY_PARENT_NOT_EXITS = new ErrorCode(1_003_009_003, "父级点巡检模板分类不存在");
    ErrorCode CHECK_TEMPLATE_CLASSIFY_PARENT_ERROR = new ErrorCode(1_003_009_004, "不能设置自己为父点巡检模板分类");
    ErrorCode CHECK_TEMPLATE_CLASSIFY_NAME_DUPLICATE = new ErrorCode(1_003_009_005, "已经存在该设备设施分类名称的点巡检模板分类");
    ErrorCode CHECK_TEMPLATE_CLASSIFY_PARENT_IS_CHILD = new ErrorCode(1_003_009_006, "不能设置自己的子DmsCheckTemplateClassify为父DmsCheckTemplateClassify");

    // ========== 点巡检模板检查项 ==========
    ErrorCode CHECK_TEMPLATE_ITEM_NOT_EXISTS = new ErrorCode(1_003_010_001, "点巡检模板检查项不存在");

    // ========== 往来单位 ==========
    ErrorCode RELATION_ORG_NOT_EXISTS = new ErrorCode(1_003_011_001, "往来单位不存在");
    ErrorCode RELATION_CONTRACT_NOT_EXISTS = new ErrorCode(1_003_011_002, "往来单位联系人不存在");

    // ========== 知识库 ==========
    ErrorCode ARTICLE_CATOGRY_NOT_EXISTS = new ErrorCode(1_003_012_001, "知识库分类不存在");
    ErrorCode ARTICLE_CATOGRY_EXITS_CHILDREN = new ErrorCode(1_003_012_002, "存在存在子知识库分类，无法删除");
    ErrorCode ARTICLE_CATOGRY_PARENT_NOT_EXITS = new ErrorCode(1_003_012_003,"父级知识库分类不存在");
    ErrorCode ARTICLE_CATOGRY_PARENT_ERROR = new ErrorCode(1_003_012_004, "不能设置自己为父知识库分类");
    ErrorCode ARTICLE_CATOGRY_PARENT_NAME_DUPLICATE = new ErrorCode(1_003_012_005, "已经存在该父分类名称的知识库分类");
    ErrorCode ARTICLE_CATOGRY_PARENT_IS_CHILD = new ErrorCode(1_003_012_006, "不能将自己的子分类设置为父级");

    ErrorCode ARTICLE_NOT_EXISTS = new ErrorCode(1_003_012_007, "知识库不存在");
}

