package cn.iocoder.yudao.module.dms.controller.admin.article.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 知识库分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ArticlePageReqVO extends PageParam {

    @Schema(description = "文章标题")
    private String title;

    @Schema(description = "标签")
    private String tags;

    @Schema(description = "文章内容")
    private String content;

    @Schema(description = "文章分类ID", example = "23516")
    private Long cid;

    @Schema(description = "文章分类名称", example = "王五")
    private String cname;

    @Schema(description = "作者ID", example = "17240")
    private Long uid;

    @Schema(description = "作者", example = "李四")
    private String uname;

    @Schema(description = "设备ID", example = "20022")
    private Long deviceId;

    @Schema(description = "设备名称", example = "王五")
    private String deviceName;

    @Schema(description = "使用标识")
    private Integer useFlag;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "版本")
    private String version;

}
