package cn.iocoder.yudao.module.dms.controller.admin.article.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 知识库 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ArticleRespVO {

    @Schema(description = "主键 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "12715")
    @ExcelProperty("主键 自增长")
    private Long id;

    @Schema(description = "文章标题")
    @ExcelProperty("文章标题")
    private String title;

    @Schema(description = "标签")
    @ExcelProperty("标签")
    private String tags;

    @Schema(description = "文章内容")
    @ExcelProperty("文章内容")
    private String content;

    @Schema(description = "文章分类ID", example = "23516")
    @ExcelProperty("文章分类ID")
    private Long cid;

    @Schema(description = "文章分类名称", example = "王五")
    @ExcelProperty("文章分类名称")
    private String cname;

    @Schema(description = "作者ID", example = "17240")
    @ExcelProperty("作者ID")
    private Long uid;

    @Schema(description = "作者", example = "李四")
    @ExcelProperty("作者")
    private String uname;

    @Schema(description = "设备ID", example = "20022")
    @ExcelProperty("设备ID")
    private Long deviceId;

    @Schema(description = "设备名称", example = "王五")
    @ExcelProperty("设备名称")
    private String deviceName;

    @Schema(description = "使用标识")
    @ExcelProperty("使用标识")
    private Integer useFlag;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "版本")
    @ExcelProperty("版本")
    private String version;

}
