package cn.iocoder.yudao.module.dms.controller.admin.articlecatogry.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 文章分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ArticleCatogryRespVO {

    @Schema(description = "ID")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "文章分类名称")
    @ExcelProperty("文章分类名称")
    private String name;

    @Schema(description = "文章分类代码")
    private String code;

    @Schema(description = "父ID")
    private Long parentId;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String note;

    @Schema(description = "级别")
    @ExcelProperty("级别")
    private Integer level;

    @Schema(description = "显示序列")
    @ExcelProperty("显示序列")
    private Integer orderNum;

    @Schema(description = "使用标识")
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer useFlag;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
