package cn.iocoder.yudao.module.dms.controller.admin.checktask.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 点巡检任务新增/修改 Request VO")
@Data
public class DmsCheckTaskSaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "设备ID")
    private Long deviceId;

    @Schema(description = "设备名称")
    private String deviceName;

    @Schema(description = "设备代码")
    private String deviceCode;

    @Schema(description = "巡检计划模板ID")
    private Long checkTemplateId;

    @Schema(description = "巡检计划模板名称")
    private String checkTemplateName;

    @Schema(description = "点检项JSON配置")
    private String checkItems;

    @Schema(description = "模板分类ID")
    private Long templateClassifyId;

    @Schema(description = "模板分类名称")
    private String templateClassifyName;

    @Schema(description = "模板分类代码")
    private String templateClassifyCode;

    @Schema(description = "设备分类ID")
    private Long deviceClassifyId;

    @Schema(description = "设备分类名称")
    private String deviceClassifyName;

    @Schema(description = "设备分类代码")
    private String deviceClassifyCode;

    @Schema(description = "任务开始日期")
    private LocalDateTime startTime;

    @Schema(description = "任务结束日期")
    private LocalDateTime endTime;

    @Schema(description = "任务执行时间")
    private LocalDateTime executorTime;

    @Schema(description = "创建者ID")
    private Long creatorId;

    @Schema(description = "创建者")
    private String creatorName;

    @Schema(description = "执行者ID")
    private Long executorId;

    @Schema(description = "执行者")
    private String executorName;

    @Schema(description = "模板检查周期类型")
    private Integer checkPeriodType;

    @Schema(description = "任务状态")
    private Integer status;

    @Schema(description = "任务结束标识")
    private Integer endFlag;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "巡检计划ID")
    private Long checkPlanId;

    @Schema(description = "巡检计划名称")
    private String checkPlanName;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}
