package cn.iocoder.yudao.module.dms.controller.admin.checktemplate.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 点巡检模板分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsCheckTemplatePageReqVO extends PageParam {

    @Schema(description = "模板名称", example = "李四")
    private String name;

    @Schema(description = "点检项JSON配置")
    private String checkItems;

    @Schema(description = "模板分类ID", example = "25775")
    private Long classifyId;

    @Schema(description = "模板分类名称", example = "张三")
    private String classifyName;

    @Schema(description = "设备分类ID", example = "29479")
    private Long deviceClassifyId;

    @Schema(description = "设备分类名称", example = "张三")
    private String deviceClassifyName;

    @Schema(description = "模板类型", example = "1")
    private Integer checkTemplateType;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "UUID", example = "29651")
    private String uuid;

    @Schema(description = "使用标识")
    private Short useFlag;

}