package cn.iocoder.yudao.module.dms.controller.admin.deviceattribute.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 设备属性 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsDeviceAttributeRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "10152")
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "UUID", example = "7350")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "设备ID", example = "4772")
    @ExcelProperty("设备ID")
    private Long did;

    @Schema(description = "设备属性名称", example = "赵六")
    @ExcelProperty("设备属性名称")
    private String name;

    @Schema(description = "设备属性值")
    @ExcelProperty("设备属性值")
    private String value;

    @Schema(description = "设备属性描述")
    @ExcelProperty("设备属性描述")
    private String adesc;

    @Schema(description = "显示序列")
    @ExcelProperty("显示序列")
    private Integer orderNum;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

}
