package cn.iocoder.yudao.module.dms.controller.admin.deviceattribute.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 设备属性新增/修改 Request VO")
@Data
public class DmsDeviceAttributeSaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "10152")
    private Long id;

    @Schema(description = "UUID", example = "7350")
    private String uuid;

    @Schema(description = "设备ID", example = "4772")
    private Long did;

    @Schema(description = "设备属性名称", example = "赵六")
    private String name;

    @Schema(description = "设备属性值")
    private String value;

    @Schema(description = "设备属性描述")
    private String adesc;

    @Schema(description = "显示序列")
    private Integer orderNum;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}
