package cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 设备分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsDeviceClassifyRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "设备设施分类名称")
    @ExcelProperty("设备设施分类名称")
    private String name;

    @Schema(description = "描述")
    @ExcelProperty("描述")
    private String note;

    @Schema(description = "父分类ID")
    @ExcelProperty("父分类ID")
    private Long parentId;

    @Schema(description = "父分类名称")
    @ExcelProperty("父分类名称")
    private String parentName;

    @Schema(description = "维保标识")
    @ExcelProperty(value = "维保标识", converter = DictConvert.class)
    @DictFormat("maintain_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer maintainFlag;

    @Schema(description = "动静标识")
    @ExcelProperty(value = "动静标识", converter = DictConvert.class)
    @DictFormat("static_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer staticFlag;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "显示序列 从小到大")
    @ExcelProperty("显示序列 从小到大")
    private Integer orderNum;

    @Schema(description = "UUID")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

}
