package cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 设备分类新增/修改 Request VO")
@Data
public class DmsDeviceClassifySaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "设备设施分类名称")
    private String name;

    @Schema(description = "描述")
    private String note;

    @Schema(description = "父分类ID")
    private Long parentId;

    @Schema(description = "父分类名称")
    private String parentName;

    @Schema(description = "维保标识")
    private Integer maintainFlag;

    @Schema(description = "动静标识")
    private Integer staticFlag;

    @Schema(description = "显示序列 从小到大")
    private Integer orderNum;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}
