package cn.iocoder.yudao.module.dms.controller.admin.relationorg.vo;

import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 往来单位 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsRelationOrgRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "UUID")
    @ExcelProperty("UUID")
    private String uuid;

    @Schema(description = "单位名称")
    @ExcelProperty("单位名称")
    private String name;

    @Schema(description = "单位简称")
    @ExcelProperty("单位简称")
    private String sortName;

    @Schema(description = "单位类型")
    @ExcelProperty(value = "单位类型", converter = DictConvert.class)
    @DictFormat("dms_relation_org_type") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer rtype;

    @Schema(description = "单位地址")
    @ExcelProperty("单位地址")
    private String address;

    @Schema(description = "邮政编码")
    @ExcelProperty("邮政编码")
    private String postCode;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String phone;

    @Schema(description = "电子邮箱")
    @ExcelProperty("电子邮箱")
    private String email;

    @Schema(description = "网址")
    @ExcelProperty("网址")
    private String site;

    @Schema(description = "税号/统一社会信用代码")
    @ExcelProperty("税号/统一社会信用代码")
    private String uniCode;

    @Schema(description = "银行开户行")
    @ExcelProperty("银行开户行")
    private String bankName;

    @Schema(description = "银行账号")
    @ExcelProperty("银行账号")
    private String bankAccount;

    @Schema(description = "发票地址/电话")
    @ExcelProperty("发票地址/电话")
    private String invoiceInfo;

    @Schema(description = "发票公司名称")
    @ExcelProperty("发票公司名称")
    private String invoiceName;

    @Schema(description = "信用额度")
    @ExcelProperty("信用额度")
    private Integer credit;

    @Schema(description = "信用评级")
    @ExcelProperty("信用评级")
    private Double creditLevel;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String note;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty(value = "使用标识", converter = DictConvert.class)
    @DictFormat("use_flag") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Short useFlag;

    @Schema(description = "部门id")
    @ExcelProperty("部门id")
    private Long deptId;

}
