package cn.iocoder.yudao.module.dms.controller.admin.relationorg.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 往来单位新增/修改 Request VO")
@Data
public class DmsRelationOrgSaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "单位名称")
    private String name;

    @Schema(description = "单位简称")
    private String sortName;

    @Schema(description = "单位类型")
    private Integer rtype;

    @Schema(description = "单位地址")
    private String address;

    @Schema(description = "邮政编码")
    private String postCode;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "电子邮箱")
    private String email;

    @Schema(description = "网址")
    private String site;

    @Schema(description = "税号/统一社会信用代码")
    private String uniCode;

    @Schema(description = "银行开户行")
    private String bankName;

    @Schema(description = "银行账号")
    private String bankAccount;

    @Schema(description = "发票地址/电话")
    private String invoiceInfo;

    @Schema(description = "发票公司名称")
    private String invoiceName;

    @Schema(description = "信用额度")
    private Integer credit;

    @Schema(description = "信用评级")
    private Double creditLevel;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

    @Schema(description = "部门id")
    private Long deptId;

}
