package cn.iocoder.yudao.module.dms.dal.dataobject.article;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 知识库 DO
 *
 * @author dzx
 */
@TableName("dms_article")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleDO extends BaseDO {

    /**
     * 主键 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 文章标题
     */
    private String title;
    /**
     * 标签
     */
    private String tags;
    /**
     * 文章内容
     */
    private String content;
    /**
     * 文章分类ID
     */
    private Long cid;
    /**
     * 文章分类名称
     */
    private String cname;
    /**
     * 作者ID
     */
    private Long uid;
    /**
     * 作者
     */
    private String uname;
    /**
     * 设备ID
     */
    private Long deviceId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 使用标识
     */
    private Integer useFlag;
    /**
     * 版本
     */
    private String version;

}
