package cn.iocoder.yudao.module.dms.dal.dataobject.articlecatogry;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 文章分类 DO
 *
 * @author dzx
 */
@TableName("dms_article_catogry")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleCatogryDO extends BaseDO {

    public static final Long PARENT_ID_ROOT = 0L;

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 文章分类名称
     */
    private String name;
    /**
     * 文章分类代码
     */
    private String code;
    /**
     * 父ID
     */
    private Long parentId;
    /**
     * 父子级联代码
     */
    private String pcode;
    /**
     * 父分类名称
     */
    private String parentName;
    /**
     * 备注
     */
    private String note;
    /**
     * 级别
     */
    private Integer level;
    /**
     * 显示序列
     */
    private Integer orderNum;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer useFlag;

}
