package cn.iocoder.yudao.module.dms.dal.dataobject.checktask;

import cn.hutool.core.date.LocalDateTimeUtil;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktaskitem.DmsCheckTaskItemDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.google.common.collect.Lists;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Objects;

/**
 * 点巡检任务 DO
 *
 * @author dzx
 */
@TableName("dms_check_task")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsCheckTaskDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 设备ID
     */
    private Long deviceId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备代码
     */
    private String deviceCode;
    /**
     * 巡检计划模板ID
     */
    private Long checkTemplateId;
    /**
     * 巡检计划模板名称
     */
    private String checkTemplateName;
    /**
     * 点检项JSON配置
     */
    private String checkItems;
    /**
     * 模板分类ID
     */
    private Long templateClassifyId;
    /**
     * 模板分类名称
     */
    private String templateClassifyName;
    /**
     * 模板分类代码
     */
    private String templateClassifyCode;
    /**
     * 设备分类ID
     */
    private Long deviceClassifyId;
    /**
     * 设备分类名称
     */
    private String deviceClassifyName;
    /**
     * 设备分类代码
     */
    private String deviceClassifyCode;
    /**
     * 任务开始日期
     */
    private LocalDateTime startTime;

    @TableField(exist = false)
    private String startTimeStr;
    /**
     * 任务结束日期
     */
    private LocalDateTime endTime;


    @TableField(exist = false)
    private String endTimeStr;

    /**
     * 任务执行时间
     */
    private LocalDateTime executorTime;

    @TableField(exist = false)
    private String executorTimeStr;
    /**
     * 创建者ID
     */
    private Long creatorId;
    /**
     * 创建者
     */
    private String creatorName;
    /**
     * 执行者ID
     */
    private Long executorId;
    /**
     * 执行者
     */
    private String executorName;
    /**
     * 模板检查周期类型
     */
    private Integer checkPeriodType;
    /**
     * 任务状态
     */
    private Integer status;
    /**
     * 任务结束标识
     * <p>
     * 枚举 {@link TODO dms_end_flag 对应的类}
     */
    private Integer endFlag;
    /**
     * 备注
     */
    private String note;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 巡检计划ID
     */
    private Long checkPlanId;
    /**
     * 巡检计划名称
     */
    private String checkPlanName;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门 ID
     */
    private Long deptId;

    /**
     * 部门
     */
    private Long deptName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    @TableField(exist = false)
    private List<DmsCheckTaskItemDO> checkTaskItems = Lists.newArrayList();

    public String getStartTimeStr() {
        return Objects.isNull(this.startTime) ? "" : LocalDateTimeUtil.format(this.startTime, "yyyy-MM-dd HH:mm:ss");
    }

    public String getEndTimeStr() {
        return Objects.isNull(this.endTime) ? "" : LocalDateTimeUtil.format(this.endTime, "yyyy-MM-dd HH:mm:ss");
    }

    public String getExecutorTimeStr() {
        return Objects.isNull(this.executorTime) ? "" : LocalDateTimeUtil.format(this.executorTime, "yyyy-MM-dd HH:mm:ss");
    }

}
