package cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateclassify;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 点巡检模板分类 DO
 *
 * @author dzx
 */
@TableName("dms_check_template_classify")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsCheckTemplateClassifyDO extends BaseDO {

    public static final Long PARENT_ID_ROOT = 0L;

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 设备设施分类名称
     */
    private String name;
    /**
     * 描述
     */
    private String note;
    /**
     * 父设备设施分类ID
     */
    private Long parentId;
    /**
     * 上级分类名称
     */
    private String parentName;
    /**
     * 父子级联代码
     */
    private String pcode;
    /**
     * 分类级别 从1开始
     */
    private Integer level;
    /**
     * 显示序列 从小到大
     */
    private Integer orderNum;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门 ID
     */
    private Long deptId;
}
