package cn.iocoder.yudao.module.dms.dal.dataobject.deviceattribute;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 设备属性 DO
 *
 * @author dzx
 */
@TableName("dms_device_attribute")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsDeviceAttributeDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 设备ID
     */
    private Long did;
    /**
     * 设备属性名称
     */
    private String name;
    /**
     * 设备属性值
     */
    private String value;
    /**
     * 设备属性描述
     */
    private String adesc;
    /**
     * 显示序列
     */
    private Integer orderNum;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门 ID
     */
    private Long deptId;
}
