package cn.iocoder.yudao.module.dms.dal.dataobject.devicerepair;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;


/**
 * 设备报修 DO
 *
 * @author dzx
 */
@TableName("dms_device_repair")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsDeviceRepairDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 报修主题
     */
    private String title;
    /**
     * 报修内容
     */
    private String content;
    /**
     * 报修图片
     */
    private String imgs;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 任务ID
     */
    private Long checkTaskId;
    /**
     * 任务检查项ID
     */
    private Long checkTaskItemId;
    /**
     * 设备ID
     */
    private Long deviceId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备代码
     */
    private String deviceCode;
    /**
     * 报修人ID
     */
    private Long reportorId;
    /**
     * 报修人姓名
     */
    private String reportorName;
    /**
     * 报修内容
     */
    private String reportContent;
    /**
     * 报修图片
     */
    private String reportImgs;
    /**
     * 报修开始时间
     */
    private LocalDateTime reportStartTime;
    /**
     * 报修结束时间
     */
    private LocalDateTime reportEndTime;
    /**
     * 决策者(维修部负责人)ID
     */
    private Long deciderId;
    /**
     * 决策者(维修部负责人)姓名
     */
    private String deciderName;
    /**
     * 决策内容
     */
    private String decideContent;
    /**
     * 决策图片
     */
    private String decideImgs;
    /**
     * 决策开始时间
     */
    private LocalDateTime decideStartTime;
    /**
     * 决策结束时间
     */
    private LocalDateTime decideEndTime;
    /**
     * 维修组ID
     */
    private Long maintainOrgId;
    /**
     * 维修组
     */
    private String maintainOrgName;
    /**
     * 维修组代码
     */
    private String maintainOrgCode;
    /**
     * 维修工ID
     */
    private Long maintainerId;
    /**
     * 维修工姓名
     */
    private String maintainerName;
    /**
     * 维修内容
     */
    private String maintainContent;
    /**
     * 维修图片
     */
    private String maintainImgs;
    /**
     * 维修开始时间
     */
    private LocalDateTime maintainStartTime;
    /**
     * 维修结束时间
     */
    private LocalDateTime maintainEndTime;
    /**
     * 维修流转详情
     */
    private String maintainFlow;
    /**
     * 维修流转次数
     */
    private String maintainNum;
    /**
     * 确认者ID
     */
    private Long affirmantId;
    /**
     * 确认者姓名
     */
    private String affirmantName;
    /**
     * 确认内容
     */
    private String affirmContent;
    /**
     * 确认图片
     */
    private String affirmImgs;
    /**
     * 确认开始时间
     */
    private LocalDateTime affirmStartTime;
    /**
     * 确认结束时间
     */
    private LocalDateTime affirmEndTime;
    /**
     * 报修开始日期
     */
    private LocalDateTime startTime;
    /**
     * 报修结束日期
     */
    private LocalDateTime endTime;
    /**
     * 备注
     */
    private String note;
    /**
     * 报修生命周期状态
     * <p>
     * 枚举 {@link TODO device_repair_status 对应的类}
     */
    private Integer status;
    /**
     * 流转者ID
     */
    private Long transferId;
    /**
     * 流转者姓名
     */
    private String transferName;
    /**
     * 流转内容
     */
    private String transferContent;
    /**
     * 流转图片
     */
    private String transferImgs;
    /**
     * 流转开始时间
     */
    private LocalDateTime transferStartTime;
    /**
     * 流转结束时间
     */
    private LocalDateTime transferEndTime;
    /**
     * 报修人联系方式
     */
    private String reportorTel;
    /**
     * 紧急程度
     */
    private String repairPress;
    /**
     * 故障类型
     */
    private String repairReason;
    /**
     * 维修单号
     */
    private String repairCode;
    /**
     * 维修记录
     */
    private String repairRecords;
    /**
     * 主修人变更记录
     */
    private String mainRepairHistory;
    /**
     * 流转信息
     */
    private String flowRecords;
    /**
     * 维修内容补充
     */
    private Double repairFee;
    /**
     * 维修级别
     */
    private Short repairLevel;
    /**
     * 维修类型
     */
    private Short repairType;
    /**
     * 设备位置
     */
    private String repairPosition;
    /**
     * 故障原因
     */
    private Short repairCausation;
    /**
     * 結束标识
     * <p>
     * 枚举 {@link TODO dms_end_flag 对应的类}
     */
    private Integer endFlag;
    /**
     * 是否停机
     * <p>
     * 枚举 {@link TODO dms_stop_flag 对应的类}
     */
    private Short stopFlag;
    /**
     * 维修时是否停机
     * <p>
     * 枚举 {@link TODO dms_stop_flag 对应的类}
     */
    private Short maintainStopFlag;
    /**
     * 是否替换备件
     * <p>
     * 枚举 {@link TODO dms_parts_flag 对应的类}
     */
    private Short partsFlag;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门id
     */
    private Long deptId;

}
