package cn.iocoder.yudao.module.dms.dal.dataobject.relationorg;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 往来单位 DO
 *
 * @author dzx
 */
@TableName("dms_relation_org")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DmsRelationOrgDO extends BaseDO {

    /**
     * ID 自增长
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 单位名称
     */
    private String name;
    /**
     * 单位简称
     */
    private String sortName;
    /**
     * 单位类型
     * <p>
     * 枚举 {@link TODO dms_relation_org_type 对应的类}
     */
    private Integer rtype;
    /**
     * 单位地址
     */
    private String address;
    /**
     * 邮政编码
     */
    private String postCode;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 网址
     */
    private String site;
    /**
     * 税号/统一社会信用代码
     */
    private String uniCode;
    /**
     * 银行开户行
     */
    private String bankName;
    /**
     * 银行账号
     */
    private String bankAccount;
    /**
     * 发票地址/电话
     */
    private String invoiceInfo;
    /**
     * 发票公司名称
     */
    private String invoiceName;
    /**
     * 信用额度
     */
    private Integer credit;
    /**
     * 信用评级
     */
    private Double creditLevel;
    /**
     * 备注
     */
    private String note;
    /**
     * 使用标识
     * <p>
     * 枚举 {@link TODO use_flag 对应的类}
     */
    private Short useFlag;
    /**
     * 部门id
     */
    private Long deptId;

}
