package cn.iocoder.yudao.module.dms.dal.pgsql.article;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.article.vo.ArticlePageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.article.ArticleDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 知识库 Mapper
 *
 * @author dzx
 */
@Mapper
public interface ArticleMapper extends BaseMapperX<ArticleDO> {

    default PageResult<ArticleDO> selectPage(ArticlePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ArticleDO>()
                .eqIfPresent(ArticleDO::getTitle, reqVO.getTitle())
                .eqIfPresent(ArticleDO::getTags, reqVO.getTags())
                .eqIfPresent(ArticleDO::getContent, reqVO.getContent())
                .eqIfPresent(ArticleDO::getCid, reqVO.getCid())
                .likeIfPresent(ArticleDO::getCname, reqVO.getCname())
                .eqIfPresent(ArticleDO::getUid, reqVO.getUid())
                .likeIfPresent(ArticleDO::getUname, reqVO.getUname())
                .eqIfPresent(ArticleDO::getDeviceId, reqVO.getDeviceId())
                .likeIfPresent(ArticleDO::getDeviceName, reqVO.getDeviceName())
                .eqIfPresent(ArticleDO::getUseFlag, reqVO.getUseFlag())
                .betweenIfPresent(ArticleDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ArticleDO::getVersion, reqVO.getVersion())
                .orderByDesc(ArticleDO::getId));
    }

}
