package cn.iocoder.yudao.module.dms.dal.pgsql.articlecatogry;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.articlecatogry.vo.ArticleCatogryListReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.articlecatogry.ArticleCatogryDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文章分类 Mapper
 *
 * @author dzx
 */
@Mapper
public interface ArticleCatogryMapper extends BaseMapperX<ArticleCatogryDO> {

    default List<ArticleCatogryDO> selectList(ArticleCatogryListReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<ArticleCatogryDO>()
                .likeIfPresent(ArticleCatogryDO::getName, reqVO.getName())
                .eqIfPresent(ArticleCatogryDO::getParentId, reqVO.getParentId())
                .orderByDesc(ArticleCatogryDO::getId));
    }

    default ArticleCatogryDO selectByParentIdAndParentName(Long parentId, String parentName) {
        return selectOne(ArticleCatogryDO::getParentId, parentId, ArticleCatogryDO::getParentName, parentName);
    }

    default Long selectCountByParentId(Long parentId) {
        return selectCount(ArticleCatogryDO::getParentId, parentId);
    }

}
