package cn.iocoder.yudao.module.dms.dal.pgsql.checkplan;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.checkplan.vo.DmsCheckPlanPageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checkplan.DmsCheckPlanDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 点巡检计划 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckPlanMapper extends BaseMapperX<DmsCheckPlanDO> {

    default PageResult<DmsCheckPlanDO> selectPage(DmsCheckPlanPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsCheckPlanDO>()
                .likeIfPresent(DmsCheckPlanDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckPlanDO::getCheckTemplateId, reqVO.getCheckTemplateId())
                .likeIfPresent(DmsCheckPlanDO::getCheckTemplateName, reqVO.getCheckTemplateName())
                .eqIfPresent(DmsCheckPlanDO::getDeviceId, reqVO.getDeviceId())
                .likeIfPresent(DmsCheckPlanDO::getDeviceName, reqVO.getDeviceName())
                .eqIfPresent(DmsCheckPlanDO::getDeviceCode, reqVO.getDeviceCode())
                .eqIfPresent(DmsCheckPlanDO::getCheckItems, reqVO.getCheckItems())
                .eqIfPresent(DmsCheckPlanDO::getTemplateClassifyId, reqVO.getTemplateClassifyId())
                .likeIfPresent(DmsCheckPlanDO::getTemplateClassifyName, reqVO.getTemplateClassifyName())
                .eqIfPresent(DmsCheckPlanDO::getTemplateClassifyCode, reqVO.getTemplateClassifyCode())
                .eqIfPresent(DmsCheckPlanDO::getDeviceClassifyId, reqVO.getDeviceClassifyId())
                .likeIfPresent(DmsCheckPlanDO::getDeviceClassifyName, reqVO.getDeviceClassifyName())
                .eqIfPresent(DmsCheckPlanDO::getDeviceClassifyCode, reqVO.getDeviceClassifyCode())
                .betweenIfPresent(DmsCheckPlanDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(DmsCheckPlanDO::getEndTime, reqVO.getEndTime())
                .eqIfPresent(DmsCheckPlanDO::getCreatorId, reqVO.getCreatorId())
                .likeIfPresent(DmsCheckPlanDO::getCreatorName, reqVO.getCreatorName())
                .eqIfPresent(DmsCheckPlanDO::getExecutorId, reqVO.getExecutorId())
                .likeIfPresent(DmsCheckPlanDO::getExecutorName, reqVO.getExecutorName())
                .eqIfPresent(DmsCheckPlanDO::getCheckPeriodType, reqVO.getCheckPeriodType())
                .betweenIfPresent(DmsCheckPlanDO::getCheckPeriodTime, reqVO.getCheckPeriodTime())
                .eqIfPresent(DmsCheckPlanDO::getCheckPeriodInterval, reqVO.getCheckPeriodInterval())
                .eqIfPresent(DmsCheckPlanDO::getNote, reqVO.getNote())
                .betweenIfPresent(DmsCheckPlanDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckPlanDO::getTaskNum, reqVO.getTaskNum())
                .eqIfPresent(DmsCheckPlanDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsCheckPlanDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckPlanDO::getId));
    }

}
