package cn.iocoder.yudao.module.dms.dal.pgsql.checktaskitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.checktaskitem.vo.DmsCheckTaskItemPageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktaskitem.DmsCheckTaskItemDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 点巡检任务检查项 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsCheckTaskItemMapper extends BaseMapperX<DmsCheckTaskItemDO> {

    default PageResult<DmsCheckTaskItemDO> selectPage(DmsCheckTaskItemPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsCheckTaskItemDO>()
                .eqIfPresent(DmsCheckTaskItemDO::getCheckTemplateId, reqVO.getCheckTemplateId())
                .eqIfPresent(DmsCheckTaskItemDO::getCheckTaskId, reqVO.getCheckTaskId())
                .eqIfPresent(DmsCheckTaskItemDO::getUuid, reqVO.getUuid())
                .likeIfPresent(DmsCheckTaskItemDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckTaskItemDO::getContent, reqVO.getContent())
                .eqIfPresent(DmsCheckTaskItemDO::getImgs, reqVO.getImgs())
                .eqIfPresent(DmsCheckTaskItemDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsCheckTaskItemDO::getCheckTemplateItemId, reqVO.getCheckTemplateItemId())
                .likeIfPresent(DmsCheckTaskItemDO::getCheckTemplateItemName, reqVO.getCheckTemplateItemName())
                .eqIfPresent(DmsCheckTaskItemDO::getOrderNum, reqVO.getOrderNum())
                .betweenIfPresent(DmsCheckTaskItemDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTaskItemDO::getUseFlag, reqVO.getUseFlag())
                .orderByDesc(DmsCheckTaskItemDO::getId));
    }

    default List<DmsCheckTaskItemDO> selectList(DmsCheckTaskItemPageReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<DmsCheckTaskItemDO>()
                .eqIfPresent(DmsCheckTaskItemDO::getCheckTemplateId, reqVO.getCheckTemplateId())
                .eqIfPresent(DmsCheckTaskItemDO::getCheckTaskId, reqVO.getCheckTaskId())
                .eqIfPresent(DmsCheckTaskItemDO::getUuid, reqVO.getUuid())
                .likeIfPresent(DmsCheckTaskItemDO::getName, reqVO.getName())
                .eqIfPresent(DmsCheckTaskItemDO::getContent, reqVO.getContent())
                .eqIfPresent(DmsCheckTaskItemDO::getImgs, reqVO.getImgs())
                .eqIfPresent(DmsCheckTaskItemDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsCheckTaskItemDO::getCheckTemplateItemId, reqVO.getCheckTemplateItemId())
                .likeIfPresent(DmsCheckTaskItemDO::getCheckTemplateItemName, reqVO.getCheckTemplateItemName())
                .eqIfPresent(DmsCheckTaskItemDO::getOrderNum, reqVO.getOrderNum())
                .betweenIfPresent(DmsCheckTaskItemDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsCheckTaskItemDO::getUseFlag, reqVO.getUseFlag())
                .orderByAsc(DmsCheckTaskItemDO::getOrderNum));
    }

}
