package cn.iocoder.yudao.module.dms.dal.pgsql.deviceclassify;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo.DmsDeviceClassifyListReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.deviceclassify.DmsDeviceClassifyDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备分类 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsDeviceClassifyMapper extends BaseMapperX<DmsDeviceClassifyDO> {

    default List<DmsDeviceClassifyDO> selectList(DmsDeviceClassifyListReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<DmsDeviceClassifyDO>()
                .likeIfPresent(DmsDeviceClassifyDO::getName, reqVO.getName())
                .eqIfPresent(DmsDeviceClassifyDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsDeviceClassifyDO::getParentId, reqVO.getParentId())
                .likeIfPresent(DmsDeviceClassifyDO::getParentName, reqVO.getParentName())
                .eqIfPresent(DmsDeviceClassifyDO::getUuid, reqVO.getUuid())
                .orderByAsc(DmsDeviceClassifyDO::getOrderNum)
                .select(DmsDeviceClassifyDO::getId,
                        DmsDeviceClassifyDO::getName,
                        DmsDeviceClassifyDO::getNote,
                        DmsDeviceClassifyDO::getParentId,
                        DmsDeviceClassifyDO::getParentName,
                        DmsDeviceClassifyDO::getMaintainFlag,
                        DmsDeviceClassifyDO::getStaticFlag,
                        DmsDeviceClassifyDO::getOrderNum,
                        DmsDeviceClassifyDO::getCreateTime,
                        DmsDeviceClassifyDO::getUseFlag
                ));
    }

    default DmsDeviceClassifyDO selectByParentIdAndName(Long parentId, String name) {
        return selectOne(DmsDeviceClassifyDO::getParentId, parentId, DmsDeviceClassifyDO::getName, name);
    }

    default Long selectCountByParentId(Long parentId) {
        return selectCount(DmsDeviceClassifyDO::getParentId, parentId);
    }

    /**
     * 查询设备分类精简列表
     *
     * @return 设备分类精简列表
     */
    default List<DmsDeviceClassifyDO> selectSimpleList() {
        return selectList(new LambdaQueryWrapperX<DmsDeviceClassifyDO>()
                .eqIfPresent(DmsDeviceClassifyDO::getUseFlag, 1) // TODO 暂时写死，等待确认枚举
                .orderByAsc(DmsDeviceClassifyDO::getOrderNum)
                .select(DmsDeviceClassifyDO::getId,
                        DmsDeviceClassifyDO::getName,
                        DmsDeviceClassifyDO::getParentId,
                        DmsDeviceClassifyDO::getParentName
                ));
    }
}
