package cn.iocoder.yudao.module.dms.dal.pgsql.devicerepair;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.controller.admin.devicerepair.vo.DmsDeviceRepairPageReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.devicerepair.DmsDeviceRepairDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 设备报修 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsDeviceRepairMapper extends BaseMapperX<DmsDeviceRepairDO> {

    default PageResult<DmsDeviceRepairDO> selectPage(DmsDeviceRepairPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsDeviceRepairDO>()
                .eqIfPresent(DmsDeviceRepairDO::getTitle, reqVO.getTitle())
                .eqIfPresent(DmsDeviceRepairDO::getContent, reqVO.getContent())
                .eqIfPresent(DmsDeviceRepairDO::getImgs, reqVO.getImgs())
                .eqIfPresent(DmsDeviceRepairDO::getUuid, reqVO.getUuid())
                .eqIfPresent(DmsDeviceRepairDO::getCheckTaskId, reqVO.getCheckTaskId())
                .eqIfPresent(DmsDeviceRepairDO::getCheckTaskItemId, reqVO.getCheckTaskItemId())
                .eqIfPresent(DmsDeviceRepairDO::getDeviceId, reqVO.getDeviceId())
                .likeIfPresent(DmsDeviceRepairDO::getDeviceName, reqVO.getDeviceName())
                .eqIfPresent(DmsDeviceRepairDO::getDeviceCode, reqVO.getDeviceCode())
                .eqIfPresent(DmsDeviceRepairDO::getReportorId, reqVO.getReportorId())
                .likeIfPresent(DmsDeviceRepairDO::getReportorName, reqVO.getReportorName())
                .eqIfPresent(DmsDeviceRepairDO::getReportContent, reqVO.getReportContent())
                .eqIfPresent(DmsDeviceRepairDO::getReportImgs, reqVO.getReportImgs())
                .betweenIfPresent(DmsDeviceRepairDO::getReportStartTime, reqVO.getReportStartTime())
                .betweenIfPresent(DmsDeviceRepairDO::getReportEndTime, reqVO.getReportEndTime())
                .eqIfPresent(DmsDeviceRepairDO::getDeciderId, reqVO.getDeciderId())
                .likeIfPresent(DmsDeviceRepairDO::getDeciderName, reqVO.getDeciderName())
                .eqIfPresent(DmsDeviceRepairDO::getDecideContent, reqVO.getDecideContent())
                .eqIfPresent(DmsDeviceRepairDO::getDecideImgs, reqVO.getDecideImgs())
                .betweenIfPresent(DmsDeviceRepairDO::getDecideStartTime, reqVO.getDecideStartTime())
                .betweenIfPresent(DmsDeviceRepairDO::getDecideEndTime, reqVO.getDecideEndTime())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainOrgId, reqVO.getMaintainOrgId())
                .likeIfPresent(DmsDeviceRepairDO::getMaintainOrgName, reqVO.getMaintainOrgName())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainOrgCode, reqVO.getMaintainOrgCode())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainerId, reqVO.getMaintainerId())
                .likeIfPresent(DmsDeviceRepairDO::getMaintainerName, reqVO.getMaintainerName())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainContent, reqVO.getMaintainContent())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainImgs, reqVO.getMaintainImgs())
                .betweenIfPresent(DmsDeviceRepairDO::getMaintainStartTime, reqVO.getMaintainStartTime())
                .betweenIfPresent(DmsDeviceRepairDO::getMaintainEndTime, reqVO.getMaintainEndTime())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainFlow, reqVO.getMaintainFlow())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainNum, reqVO.getMaintainNum())
                .eqIfPresent(DmsDeviceRepairDO::getAffirmantId, reqVO.getAffirmantId())
                .likeIfPresent(DmsDeviceRepairDO::getAffirmantName, reqVO.getAffirmantName())
                .eqIfPresent(DmsDeviceRepairDO::getAffirmContent, reqVO.getAffirmContent())
                .eqIfPresent(DmsDeviceRepairDO::getAffirmImgs, reqVO.getAffirmImgs())
                .betweenIfPresent(DmsDeviceRepairDO::getAffirmStartTime, reqVO.getAffirmStartTime())
                .betweenIfPresent(DmsDeviceRepairDO::getAffirmEndTime, reqVO.getAffirmEndTime())
                .betweenIfPresent(DmsDeviceRepairDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(DmsDeviceRepairDO::getEndTime, reqVO.getEndTime())
                .eqIfPresent(DmsDeviceRepairDO::getNote, reqVO.getNote())
                .eqIfPresent(DmsDeviceRepairDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DmsDeviceRepairDO::getTransferId, reqVO.getTransferId())
                .likeIfPresent(DmsDeviceRepairDO::getTransferName, reqVO.getTransferName())
                .eqIfPresent(DmsDeviceRepairDO::getTransferContent, reqVO.getTransferContent())
                .eqIfPresent(DmsDeviceRepairDO::getTransferImgs, reqVO.getTransferImgs())
                .betweenIfPresent(DmsDeviceRepairDO::getTransferStartTime, reqVO.getTransferStartTime())
                .betweenIfPresent(DmsDeviceRepairDO::getTransferEndTime, reqVO.getTransferEndTime())
                .eqIfPresent(DmsDeviceRepairDO::getReportorTel, reqVO.getReportorTel())
                .eqIfPresent(DmsDeviceRepairDO::getRepairPress, reqVO.getRepairPress())
                .eqIfPresent(DmsDeviceRepairDO::getRepairReason, reqVO.getRepairReason())
                .eqIfPresent(DmsDeviceRepairDO::getRepairCode, reqVO.getRepairCode())
                .eqIfPresent(DmsDeviceRepairDO::getRepairRecords, reqVO.getRepairRecords())
                .eqIfPresent(DmsDeviceRepairDO::getMainRepairHistory, reqVO.getMainRepairHistory())
                .eqIfPresent(DmsDeviceRepairDO::getFlowRecords, reqVO.getFlowRecords())
                .eqIfPresent(DmsDeviceRepairDO::getRepairFee, reqVO.getRepairFee())
                .eqIfPresent(DmsDeviceRepairDO::getRepairLevel, reqVO.getRepairLevel())
                .eqIfPresent(DmsDeviceRepairDO::getRepairType, reqVO.getRepairType())
                .eqIfPresent(DmsDeviceRepairDO::getRepairPosition, reqVO.getRepairPosition())
                .eqIfPresent(DmsDeviceRepairDO::getRepairCausation, reqVO.getRepairCausation())
                .betweenIfPresent(DmsDeviceRepairDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DmsDeviceRepairDO::getEndFlag, reqVO.getEndFlag())
                .eqIfPresent(DmsDeviceRepairDO::getStopFlag, reqVO.getStopFlag())
                .eqIfPresent(DmsDeviceRepairDO::getMaintainStopFlag, reqVO.getMaintainStopFlag())
                .eqIfPresent(DmsDeviceRepairDO::getPartsFlag, reqVO.getPartsFlag())
                .eqIfPresent(DmsDeviceRepairDO::getUseFlag, reqVO.getUseFlag())
                .eqIfPresent(DmsDeviceRepairDO::getDeptId, reqVO.getDeptId())
                .orderByDesc(DmsDeviceRepairDO::getId));
    }

}
