package cn.iocoder.yudao.module.dms.service.article;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.article.vo.ArticlePageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.article.vo.ArticleSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.article.ArticleDO;

import javax.validation.Valid;

/**
 * 知识库 Service 接口
 *
 * @author dzx
 */
public interface ArticleService {

    /**
     * 创建知识库
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createArticle(@Valid ArticleSaveReqVO createReqVO);

    /**
     * 更新知识库
     *
     * @param updateReqVO 更新信息
     */
    void updateArticle(@Valid ArticleSaveReqVO updateReqVO);

    /**
     * 删除知识库
     *
     * @param id 编号
     */
    void deleteArticle(Long id);

    /**
     * 获得知识库
     *
     * @param id 编号
     * @return 知识库
     */
    ArticleDO getArticle(Long id);

    /**
     * 获得知识库分页
     *
     * @param pageReqVO 分页查询
     * @return 知识库分页
     */
    PageResult<ArticleDO> getArticlePage(ArticlePageReqVO pageReqVO);

}
