package cn.iocoder.yudao.module.dms.service.articlecatogry;

import cn.iocoder.yudao.module.dms.controller.admin.articlecatogry.vo.ArticleCatogryListReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.articlecatogry.vo.ArticleCatogrySaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.articlecatogry.ArticleCatogryDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 文章分类 Service 接口
 *
 * @author dzx
 */
public interface ArticleCatogryService {

    /**
     * 创建文章分类
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createArticleCatogry(@Valid ArticleCatogrySaveReqVO createReqVO);

    /**
     * 更新文章分类
     *
     * @param updateReqVO 更新信息
     */
    void updateArticleCatogry(@Valid ArticleCatogrySaveReqVO updateReqVO);

    /**
     * 删除文章分类
     *
     * @param id 编号
     */
    void deleteArticleCatogry(Long id);

    /**
     * 获得文章分类
     *
     * @param id 编号
     * @return 文章分类
     */
    ArticleCatogryDO getArticleCatogry(Long id);

    /**
     * 获得文章分类列表
     *
     * @param listReqVO 查询条件
     * @return 文章分类列表
     */
    List<ArticleCatogryDO> getArticleCatogryList(ArticleCatogryListReqVO listReqVO);

}
