package cn.iocoder.yudao.module.dms.service.checktemplateclassify;

import cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo.DmsCheckTemplateClassifyListReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo.DmsCheckTemplateClassifySaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateclassify.DmsCheckTemplateClassifyDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 点巡检模板分类 Service 接口
 *
 * @author dzx
 */
public interface DmsCheckTemplateClassifyService {

    /**
     * 创建点巡检模板分类
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCheckTemplateClassify(@Valid DmsCheckTemplateClassifySaveReqVO createReqVO);

    /**
     * 更新点巡检模板分类
     *
     * @param updateReqVO 更新信息
     */
    void updateCheckTemplateClassify(@Valid DmsCheckTemplateClassifySaveReqVO updateReqVO);

    /**
     * 删除点巡检模板分类
     *
     * @param id 编号
     */
    void deleteCheckTemplateClassify(Long id);

    /**
     * 获得点巡检模板分类
     *
     * @param id 编号
     * @return 点巡检模板分类
     */
    DmsCheckTemplateClassifyDO getCheckTemplateClassify(Long id);

    /**
     * 获得点巡检模板分类列表
     *
     * @param listReqVO 查询条件
     * @return 点巡检模板分类列表
     */
    List<DmsCheckTemplateClassifyDO> getCheckTemplateClassifyList(DmsCheckTemplateClassifyListReqVO listReqVO);

    /**
     * 获得点巡检模板分类精简列表
     *
     * @return 点巡检模板分类列表
     */
    List<DmsCheckTemplateClassifyDO> getSimpleCheckTemplateClassifyList();
}
