package cn.iocoder.yudao.module.dms.service.checktemplateitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateitem.vo.DmsCheckTemplateItemPageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.checktemplateitem.vo.DmsCheckTemplateItemSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.checktemplateitem.DmsCheckTemplateItemDO;

import javax.validation.Valid;

/**
 * 点巡检模板检查项 Service 接口
 *
 * @author dzx
 */
public interface DmsCheckTemplateItemService {

    /**
     * 创建点巡检模板检查项
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCheckTemplateItem(@Valid DmsCheckTemplateItemSaveReqVO createReqVO);

    /**
     * 更新点巡检模板检查项
     *
     * @param updateReqVO 更新信息
     */
    void updateCheckTemplateItem(@Valid DmsCheckTemplateItemSaveReqVO updateReqVO);

    /**
     * 删除点巡检模板检查项
     *
     * @param id 编号
     */
    void deleteCheckTemplateItem(Long id);

    /**
     * 获得点巡检模板检查项
     *
     * @param id 编号
     * @return 点巡检模板检查项
     */
    DmsCheckTemplateItemDO getCheckTemplateItem(Long id);

    /**
     * 获得点巡检模板检查项分页
     *
     * @param pageReqVO 分页查询
     * @return 点巡检模板检查项分页
     */
    PageResult<DmsCheckTemplateItemDO> getCheckTemplateItemPage(DmsCheckTemplateItemPageReqVO pageReqVO);

}