package cn.iocoder.yudao.module.dms.service.device;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.device.vo.DmsDevicePageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.device.vo.DmsDeviceSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.device.DmsDeviceDO;

import javax.validation.Valid;

/**
 * 设备管理 Service 接口
 *
 * @author 芋道源码
 */
public interface DmsDeviceService {

    /**
     * 创建设备管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDevice(@Valid DmsDeviceSaveReqVO createReqVO);

    /**
     * 更新设备管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDevice(@Valid DmsDeviceSaveReqVO updateReqVO);

    /**
     * 删除设备管理
     *
     * @param id 编号
     */
    void deleteDevice(Long id);

    /**
     * 获得设备管理
     *
     * @param id 编号
     * @return 设备管理
     */
    DmsDeviceDO getDevice(Long id);

    /**
     * 获得设备管理分页
     *
     * @param pageReqVO 分页查询
     * @return 设备管理分页
     */
    PageResult<DmsDeviceDO> getDevicePage(DmsDevicePageReqVO pageReqVO);

    /**
     * 设备定位
     *
     * @param saveReqVO
     * @return
     */
    Long location(DmsDeviceSaveReqVO saveReqVO);

    /**
     * 统计设备未定数量
     *
     * @param device
     * @return
     */
    Long locationCount(DmsDeviceSaveReqVO device);


}
