package cn.iocoder.yudao.module.dms.service.deviceattribute;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.dms.controller.admin.deviceattribute.vo.DmsDeviceAttributePageReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.deviceattribute.vo.DmsDeviceAttributeSaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.deviceattribute.DmsDeviceAttributeDO;

import javax.validation.Valid;

/**
 * 设备属性 Service 接口
 *
 * @author dzx
 */
public interface DmsDeviceAttributeService {

    /**
     * 创建设备属性
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceAttribute(@Valid DmsDeviceAttributeSaveReqVO createReqVO);

    /**
     * 更新设备属性
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceAttribute(@Valid DmsDeviceAttributeSaveReqVO updateReqVO);

    /**
     * 删除设备属性
     *
     * @param id 编号
     */
    void deleteDeviceAttribute(Long id);

    /**
     * 获得设备属性
     *
     * @param id 编号
     * @return 设备属性
     */
    DmsDeviceAttributeDO getDeviceAttribute(Long id);

    /**
     * 获得设备属性分页
     *
     * @param pageReqVO 分页查询
     * @return 设备属性分页
     */
    PageResult<DmsDeviceAttributeDO> getDeviceAttributePage(DmsDeviceAttributePageReqVO pageReqVO);

}
