package cn.iocoder.yudao.module.dms.service.deviceclassify;

import cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo.DmsDeviceClassifyListReqVO;
import cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo.DmsDeviceClassifySaveReqVO;
import cn.iocoder.yudao.module.dms.dal.dataobject.deviceclassify.DmsDeviceClassifyDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 设备分类 Service 接口
 *
 * @author dzx
 */
public interface DmsDeviceClassifyService {

    /**
     * 创建设备分类
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceClassify(@Valid DmsDeviceClassifySaveReqVO createReqVO);

    /**
     * 更新设备分类
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceClassify(@Valid DmsDeviceClassifySaveReqVO updateReqVO);

    /**
     * 删除设备分类
     *
     * @param id 编号
     */
    void deleteDeviceClassify(Long id);

    /**
     * 获得设备分类
     *
     * @param id 编号
     * @return 设备分类
     */
    DmsDeviceClassifyDO getDeviceClassify(Long id);

    /**
     * 获得设备分类列表
     *
     * @param listReqVO 查询条件
     * @return 设备分类列表
     */
    List<DmsDeviceClassifyDO> getDeviceClassifyList(DmsDeviceClassifyListReqVO listReqVO);

    /**
     * 获得设备分类精简列表
     *
     * @return 设备分类列表
     */
    List<DmsDeviceClassifyDO> getSimpleDeviceClassifyList();
}
